Bazaar

Bazaar

 




Wiki Tools

  • Find Page
  • Recent Changes
  • Page History
  • Attachments

Differences between revisions 55 and 56
Revision 55 as of 2011-10-06 10:06:40
Size: 2103
Editor: xr-satan
Comment: QBzr in Mac OS X Lion note
Revision 56 as of 2011-10-11 20:22:35
Size: 2103
Editor: doxxx
Comment: Updated test installer for 2.5b2
Deletions are marked like this. Additions are marked like this.
Line 14: Line 14:
|| Snow Leopard (10.6 - Python 2.6) || [[MacOSXBundle/SnowLeopard|instructions]] || [[http://launchpad.net/bzr/2.4/2.4.1/+download/Bazaar-2.4.1-OSX-10.6-1.dmg|2.4.1]] || [[http://launchpad.net/bzr/2.5/2.5b1/+download/Bazaar-2.5b1-OSX-10.6-1.dmg|2.5b1]] || || Snow Leopard (10.6 - Python 2.6) || [[MacOSXBundle/SnowLeopard|instructions]] || [[http://launchpad.net/bzr/2.4/2.4.1/+download/Bazaar-2.4.1-OSX-10.6-1.dmg|2.4.1]] || [[http://launchpad.net/bzr/2.5/2.5b2/+download/Bazaar-2.5b2-OSX-10.6-1.dmg|2.5b2]] ||

Mac OS X Downloads and Installation

Application Bundles

Note: to use Bazaar in OS X Lion (10.7), you should change the default version of Python to 2.6 :

defaults write com.apple.versioner.python Version 2.6

If you have troubles with QBzr in Mac OS X Lion try to update Qt framework qt.nokia.com/downloads/qt-for-open-source-cpp-development-on-mac-os-x

At some point the installer will be able to use 2.7 but for now this is the easiest way to get Bazaar working with Lion.

Platform

Information

Stable

Test

Snow Leopard (10.6 - Python 2.6)

instructions

2.4.1

2.5b2

Leopard (10.5 - Python 2.5)

instructions

2.3.3

2.4b2

Tiger (10.4) - Python 2.6

instructions

2.0.0

Tiger (10.4) - Python 2.5

instructions

2.0.0

Note: The bundles for 2.1 and newer include Bazaar Explorer and QBzr, as well as the Qt and PyQt libraries to support them.

Older versions of Bazaar are available from https://launchpad.net/bzr/+download.

Homebrew

See Homebrew for general instructions, and the Bazaar formula for technical details.

MacPorts

See MacPorts instructions.

Fink

See Fink repository.

Source

See install from source.